package de.intevation.flys.client.server.auth;

import org.apache.log4j.Logger;

public class AuthenticationFactory {

    private static final Logger log =
        Logger.getLogger(AuthenticationFactory.class);

    public static Authenticator getInstance(String name)
        throws IllegalArgumentException {
        if (name == null
        || name.equalsIgnoreCase("was")
        || name.equalsIgnoreCase("ggina")) {
            log.debug("Using GGinA authenticator.");
            return
                new de.intevation.flys.client.server.auth.was.Authenticator();
        }
        if (name.equalsIgnoreCase("plain")) {
            log.debug("Using plain authenticator.");
            return
                new de.intevation.flys.client.server.auth.plain.Authenticator();
        }
        throw new IllegalArgumentException("Unkown Authentication " + name);
    }
}
